############################################################################
############################################################################
#########################                          #########################
#########################  FINITE GROUPS IN MAPLE  #########################
#########################    Mathieu - Database    #########################
#########################                          #########################
############################################################################
############################################################################

unprotect(FiniteGroups:-MathieuGroups);
FiniteGroups:-MathieuGroups := module()
export
 `9`, `10`, `11`, `12`, `21`, `22`, `23`, `24`;


`9` := [ 72, 9, ######## MathieuGroup(9) ########
[ [ 1, 4, 9, 8 ], [ 2, 5, 3, 6 ] ], 
[ [ 1, 6, 5, 2 ], [ 3, 7, 9, 8 ] ] ]:
`10` := [ 720, 10, ######## MathieuGroup(10) ########
[ [ 1, 9, 6, 7, 5 ], [ 2, 10, 3, 8, 4 ] ], 
[ [ 1, 10, 7, 8 ], [ 2, 9, 4, 6 ] ] ]:
`11` := [ 7920, 11, ######## MathieuGroup(11) ########
[ [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11 ] ], 
[ [ 3, 7, 11, 8 ], [ 4, 10, 5, 6 ] ] ]:
`12` := [ 95040, 12, ######## MathieuGroup(12) ########
[ [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11 ] ], 
[ [ 3, 7, 11, 8 ], [ 4, 10, 5, 6 ] ], 
[ [ 1, 12 ], [ 2, 11 ], [ 3, 6 ], [ 4, 8 ], [ 5, 9 ], [ 7, 10 ] ] ]:
`21` := [ 20160, 21, ######## MathieuGroup(21) ########
[ [ 1, 4, 5, 9, 3 ], [ 2, 8, 10, 7, 6 ], [ 12, 15, 16, 20, 14 ], [ 13, 19, 21, 18, 17 ] ], 
[ [ 1, 21, 5, 12, 20 ], [ 2, 16, 3, 4, 17 ], [ 6, 18, 7, 19, 15 ], [ 8, 13, 9, 14, 11 ] ] ]:
`22` := [ 443520, 22, ######## MathieuGroup(22) ########
[ [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11 ], [ 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22 ] ], 
[ [ 1, 4, 5, 9, 3 ], [ 2, 8, 10, 7, 6 ], [ 12, 15, 16, 20, 14 ], [ 13, 19, 21, 18, 17 ] ], 
[ [ 1, 21 ], [ 2, 10, 8, 6 ], [ 3, 13, 4, 17 ], [ 5, 19, 9, 18 ], [ 11, 22 ], [ 12, 14, 16, 20 ] ] ]:
`23` := [ 10200960, 23, ######## MathieuGroup(23) ########
[ [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23 ] ], 
[ [ 3, 17, 10, 7, 9 ], [ 4, 13, 14, 19, 5 ], [ 8, 18, 11, 12, 23 ], [ 15, 20, 22, 21, 16 ] ] ]:
`24` := [ 244823040, 24, ######## MathieuGroup(24) ########
[ [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23 ] ], 
[ [ 3, 17, 10, 7, 9 ], [ 4, 13, 14, 19, 5 ], [ 8, 18, 11, 12, 23 ], [ 15, 20, 22, 21, 16 ] ], 
[ [ 1, 24 ], [ 2, 23 ], [ 3, 12 ], [ 4, 16 ], [ 5, 18 ], [ 6, 10 ], [ 7, 20 ], [ 8, 14 ], [ 9, 21 ], [ 11, 17 ], [ 13, 22 ], [ 15, 19 ] ] ]: 

end module;
protect(FiniteGroups:-MathieuGroups);
